BSDK.NET - BlomURBEX 3D Data Provider Software Development Kit

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions
BSDKW::BImage Class Reference

Abstract class that is capable to receive images from SDK. More...

List of all members.

## Public Types
Images constants
enum | BLimageformat { BL_GRAYSCALE = NatBImage.BLimageformat.BL_GRAYSCALE, BL_RGB = NatBImage.BLimageformat.BL_RGB, BL_RGBA = NatBImage.BLimageformat.BL_RGBA }
| Identifies image formats. More...
## Public Member Functions
abstract void | Initialize (BLimageformat imageFormat, int width, int height)
| Configures this object to load decompressed image content on it.
abstract byte[] | GetWritableLine (int lineNumber)
| Should return enough memory to save an image data line.
abstract void | ScanLine (int lineNumber)
| Let client application postprocess image data line.

## Detailed Description

Abstract class that is capable to receive images from SDK.

## Member Enumeration Documentation

enum BSDKW::BImage::BLimageformat

Identifies image formats.

See also:
  BSDKW::BImage::Initialize

Enumerator:

  BL_GRAYSCALE |
  BL_RGB |
  BL_RGBA |

## Member Function Documentation

abstract byte [] BSDKW::BImage::GetWritableLine | ( | int | lineNumber | ) | `[pure virtual]`

Should return enough memory to save an image data line.

Returned memory should not be overriden or deleted until it is returned by the following BImage::ScanLine()

Parameters:

  lineNumber | Line number (will be from 0 to height)

Returns:
  A byte array containing at least (width * components) bytes.

abstract void BSDKW::BImage::Initialize | ( | BLimageformat | imageFormat,
|  | int | width,
|  | int | height
| ) |  | `[pure virtual]`

Configures this object to load decompressed image content on it.

Parameters:

  imageFormat | Image Format: BLimageformat::BL_GREYSCALE = 1, BLimageformat::BL_RGB = 3, BLimageformat::BL_RGBA = 4
  width | Image width in pixels
  height | Image height in pixels

abstract void BSDKW::BImage::ScanLine | ( | int | lineNumber | ) | `[pure virtual]`

Let client application postprocess image data line.

Parameters:

  lineNumber | Line number (will be from 0 to height)

The documentation for this class was generated from the following file:

- BSDK.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events